# Class MessageBatchResultItem

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a message batch result item.

    public class MessageBatchResultItem

Inheritance
  object
  MessageBatchResultItem

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### CustomId

Gets the custom ID of the message batch result item.

    [JsonPropertyName("custom_id")]
    public string CustomId { get; init; }

#### Property Value

string

### Result

Gets the result of the message batch result item.

    public MessageBatchResult Result { get; init; }

#### Property Value

MessageBatchResult